%define ant_home %{_datadir}/ant
%define ant_lib  %{ant_home}/lib

Name:          vizant
Version:       0.1.0
Release:       %mkrel 2
Summary:       Ant task to visualize buildfile
Group:         Development/Java
License:       ASL 2.0
Url:           http://vizant.sourceforge.net/
Source0:       http://sourceforge.net/projects/vizant/files/Vizant/0.1.0/vizant-0.1.0.zip
Patch0:        vizant-0.1.0-build_xml.patch
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: graphviz
Requires:      ant
Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Vizant is an Apache Ant task to create Graphviz DOT source code from an Ant buildfile. 
The image created from the DOT source code shows the targets dependency. 

%prep
%setup -q -n vizant
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done
for c in $(find . -name "*.class"); do
  rm -rf $c
done
%patch0 -p0

%build
ant jar vizant dot

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}/ant %{buildroot}%{ant_lib}

install -pm 0644 build/vizant.jar %{buildroot}%{_javadir}/ant/vizant-%{version}.jar

(
  cd %{buildroot}%{_javadir}/ant
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
  ln -sf ../../java/ant/vizant-%{version}.jar %{buildroot}%{ant_lib}/vizant.jar
)

mkdir -p %{buildroot}%{_sysconfdir}/ant-vizant.d
echo "ant/vizant" > %{buildroot}%{_sysconfdir}/ant-vizant.d/vizant

%files
%config(noreplace) %{_sysconfdir}/ant-vizant.d/vizant
%{_javadir}/ant/vizant-%{version}.jar
%{_javadir}/ant/vizant.jar
%{ant_lib}/vizant.jar
%doc docs/* build/build.dot build/out.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 385429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 07 2011 dmorgan <dmorgan> 0.1.0-1.mga2
+ Revision: 140138
- Add graphviz as buildrequires
- Try to fix buildrequires
- Adapt to mageia guidelines

  + gil <gil>
    - imported package vizant

